<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dgtly.wxportal.mapper.CustomersCodeMapper">

    <select id="selectCustomerNameByCustomerCode" resultType="java.lang.String">
        select chains_name from customers where 1=1
        <if test="customerCode !=null and customerCode !='' ">and chains_code =#{customerCode}</if>
        limit 1
    </select>
</mapper>